Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskServiceEntryPointImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskServiceEntryPointImpl

All Implemented Interfaces:
  ThrowableInteranlTaskService, CommandExecutor, TaskService, org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>, org.kie.internal.task.api.InternalTaskService

    @ApplicationScoped
    public class TaskServiceEntryPointImpl

extends Object
implements ThrowableInteranlTaskService, org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>

Constructor Summary
`TaskServiceEntryPointImpl()`

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addAttachment(long taskId, Attachment attachment, Content content)`
`long` | `addComment(long taskId, Comment comment)`
`long` | `addContent(long taskId, Content content)`
`long` | `addContent(long taskId, Map<String,Object> params)`
`void` | `addGroup(Group group)`
`void` | `addMarshallerContext(String ownerId, org.kie.internal.task.api.ContentMarshallerContext context)`
`long` | `addTask(Task task, org.kie.internal.task.api.model.ContentData data)`
`long` | `addTask(Task task, Map<String,Object> params)`
`void` | `addUser(User user)`
`void` | `addUsersAndGroups(Map<String,User> users, Map<String,Group> groups)`
`int` | `archiveTasks(List<TaskSummary> tasks)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `clearTaskLifecycleEventListeners()`
`void` | `clearTasknotificationEventListeners()`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteAttachment(long taskId, long attachmentId)`
`void` | `deleteComment(long taskId, long commentId)`
`void` | `deleteContent(long taskId, long contentId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `deployTaskDef(org.kie.internal.task.api.model.TaskDef def)`
`
`<T> T`
` | `execute(Command<T> command)` Execute the command and return a ExecutionResults for the results of the Command.
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`List<TaskSummary>` | `getActiveTasks()`
`List<TaskSummary>` | `getActiveTasks(Date since)`
`List<Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
`List<Comment>` | `getAllCommentsByTaskId(long taskId)`
`List<Content>` | `getAllContentByTaskId(long taskId)`
`List<org.kie.internal.task.api.model.TaskDef>` | `getAllTaskDef(String filter)`
`List<TaskSummary>` | `getArchivedTasks()`
`Attachment` | `getAttachmentById(long attachId)`
`Comment` | `getCommentById(long commentId)`
`int` | `getCompletedTaskByUserId(String userId)`
`List<TaskSummary>` | `getCompletedTasks()`
`List<TaskSummary>` | `getCompletedTasks(Date since)`
`List<TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
`Content` | `getContentById(long contentId)`
`List<I18NText>` | `getDescriptions(long taskId)`
`Date` | `getExpirationDate(long taskId)`
`Group` | `getGroupById(String groupId)`
`List<Group>` | `getGroups()`
`org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(Task task)`
`OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
`int` | `getPendingSubTasksByParent(long parentId)`
`int` | `getPendingTaskByUserId(String userId)`
`Map<Long,List<OrganizationalEntity>>` | `getPotentialOwnersForTaskIds(List<Long> taskIds)`
`int` | `getPriority(long taskId)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy(long taskId)`
`org.kie.internal.task.api.TaskAdminService` | `getTaskAdminService()`
`Task` | `getTaskById(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`Map<String,Object>` | `getTaskContent(long taskId)`
`org.kie.internal.task.api.model.TaskDef` | `getTaskDefById(String id)`
`org.kie.internal.task.api.TaskDefService` | `getTaskDefService()`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getTaskEventsById(long taskId)`
`org.kie.internal.task.api.TaskEventsService` | `getTaskEventsService()`
`org.kie.internal.task.api.TaskIdentityService` | `getTaskIdentityService()`
`Task` | `getTaskInstanceById(long taskId)`
`org.kie.internal.task.api.TaskInstanceService` | `getTaskInstanceService()`
`javax.enterprise.event.Event<Task>` | `getTaskLifecycleEventListeners()`
`javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent>` | `getTaskNotificationEventListeners()`
`org.kie.internal.task.api.TaskQueryService` | `getTaskQueryService()`
`TaskRuleService` | `getTaskRuleService()`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResults)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDate(String userId, List<Status> statuses, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId, List<Status> statuses, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroup(String groupId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroups(List<String> groupIds, String language)`
`List<Long>` | `getTasksByProcessInstanceId(long processInstanceId)`
`List<TaskSummary>` | `getTasksByStatusByProcessInstanceId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksByVariousFields(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> status, List<String> language, boolean union)`
`List<TaskSummary>` | `getTasksByVariousFields(Map<String,List<?>> parameters, boolean union)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId, List<Status> status, Date date)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<Status> statuses, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByStatus(String userId, List<Status> status, String language)`
`User` | `getUserById(String userId)`
`org.kie.internal.task.api.UserInfo` | `getUserInfo()`
`List<User>` | `getUsers()`
`boolean` | `isSkipable(long taskId)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `registerTaskLifecycleEventListener(JbpmServicesEventListener<Task> taskLifecycleEventListener)`
`void` | `registerTaskNotificationEventListener(JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent> notificationEventListener)`
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`int` | `removeAllTasks()`
`void` | `removeGroup(String groupId)`
`void` | `removeMarshallerContext(String ownerId)`
`void` | `removeTaskEventsById(long taskId)`
`int` | `removeTasks(List<TaskSummary> tasks)`
`void` | `removeUser(String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDescriptions(long taskId, List<I18NText> descriptions)`
`void` | `setExpirationDate(long taskId, Date date)`
`void` | `setFault(long taskId, String userId, org.kie.internal.task.api.model.FaultData fault)`
`void` | `setOutput(long taskId, String userId, Object outputContentData)`
`void` | `setPriority(long taskId, int priority)`
`void` | `setSkipable(long taskId, boolean skipable)`
`void` | `setSubTaskStrategy(long taskId, org.kie.internal.task.api.model.SubTasksStrategy strategy)`
`void` | `setTaskAdminService(org.kie.internal.task.api.TaskAdminService taskAdminService)`
`void` | `setTaskAttachmentService(org.kie.internal.task.api.TaskAttachmentService taskAttachmentService)`
`void` | `setTaskCommentService(org.kie.internal.task.api.TaskCommentService taskCommentService)`
`void` | `setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)`
`void` | `setTaskDefService(org.kie.internal.task.api.TaskDefService taskDefService)`
`void` | `setTaskEventsService(org.kie.internal.task.api.TaskEventsService taskEventsService)`
`void` | `setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)`
`void` | `setTaskInstanceService(org.kie.internal.task.api.TaskInstanceService taskInstanceService)`
`void` | `setTaskNames(long taskId, List<I18NText> taskName)`
`void` | `setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)`
`void` | `setTaskRuleService(TaskRuleService taskRuleService)`
`void` | `setTaskStatisticService(org.kie.internal.task.api.TaskStatisticsService taskStatisticService)`
`void` | `setUserInfo(org.kie.internal.task.api.UserInfo userInfo)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`
`void` | `undeployTaskDef(String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskServiceEntryPointImpl

    public TaskServiceEntryPointImpl()

Method Detail

### getTaskDefService

    public org.kie.internal.task.api.TaskDefService getTaskDefService()

### registerTaskLifecycleEventListener

    public void registerTaskLifecycleEventListener(JbpmServicesEventListener<Task> taskLifecycleEventListener)

  Specified by:
    `registerTaskLifecycleEventListener` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### registerTaskNotificationEventListener

    public void registerTaskNotificationEventListener(JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent> notificationEventListener)

  Specified by:
    `registerTaskNotificationEventListener` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### setTaskContentService

    public void setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)

### setTaskCommentService

    public void setTaskCommentService(org.kie.internal.task.api.TaskCommentService taskCommentService)

### setTaskAttachmentService

    public void setTaskAttachmentService(org.kie.internal.task.api.TaskAttachmentService taskAttachmentService)

### setTaskStatisticService

    public void setTaskStatisticService(org.kie.internal.task.api.TaskStatisticsService taskStatisticService)

### getTaskInstanceService

    public org.kie.internal.task.api.TaskInstanceService getTaskInstanceService()

### getTaskIdentityService

    public org.kie.internal.task.api.TaskIdentityService getTaskIdentityService()

### getTaskAdminService

    public org.kie.internal.task.api.TaskAdminService getTaskAdminService()

### getTaskQueryService

    public org.kie.internal.task.api.TaskQueryService getTaskQueryService()

### getTaskEventsService

    public org.kie.internal.task.api.TaskEventsService getTaskEventsService()

### getActiveTasks

    public List<TaskSummary> getActiveTasks()

  Specified by:
    `getActiveTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### getActiveTasks

    public List<TaskSummary> getActiveTasks(Date since)

  Specified by:
    `getActiveTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks()

  Specified by:
    `getCompletedTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks(Date since)

  Specified by:
    `getCompletedTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### getCompletedTasksByProcessId

    public List<TaskSummary> getCompletedTasksByProcessId(Long processId)

  Specified by:
    `getCompletedTasksByProcessId` in interface `org.kie.internal.task.api.InternalTaskService`

### archiveTasks

    public int archiveTasks(List<TaskSummary> tasks)

  Specified by:
    `archiveTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### getArchivedTasks

    public List<TaskSummary> getArchivedTasks()

  Specified by:
    `getArchivedTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### removeTasks

    public int removeTasks(List<TaskSummary> tasks)

  Specified by:
    `removeTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### deployTaskDef

    public void deployTaskDef(org.kie.internal.task.api.model.TaskDef def)

  Specified by:
    `deployTaskDef` in interface `org.kie.internal.task.api.InternalTaskService`

### getAllTaskDef

    public List<org.kie.internal.task.api.model.TaskDef> getAllTaskDef(String filter)

  Specified by:
    `getAllTaskDef` in interface `org.kie.internal.task.api.InternalTaskService`

### getTaskDefById

    public org.kie.internal.task.api.model.TaskDef getTaskDefById(String id)

  Specified by:
    `getTaskDefById` in interface `org.kie.internal.task.api.InternalTaskService`

### undeployTaskDef

    public void undeployTaskDef(String id)

  Specified by:
    `undeployTaskDef` in interface `org.kie.internal.task.api.InternalTaskService`

### addUser

    public void addUser(User user)

  Specified by:
    `addUser` in interface `org.kie.internal.task.api.InternalTaskService`

### addGroup

    public void addGroup(Group group)

  Specified by:
    `addGroup` in interface `org.kie.internal.task.api.InternalTaskService`

### removeGroup

    public void removeGroup(String groupId)

  Specified by:
    `removeGroup` in interface `org.kie.internal.task.api.InternalTaskService`

### removeUser

    public void removeUser(String userId)

  Specified by:
    `removeUser` in interface `org.kie.internal.task.api.InternalTaskService`

### getUsers

    public List<User> getUsers()

  Specified by:
    `getUsers` in interface `org.kie.internal.task.api.InternalTaskService`

### getGroups

    public List<Group> getGroups()

  Specified by:
    `getGroups` in interface `org.kie.internal.task.api.InternalTaskService`

### getUserById

    public User getUserById(String userId)

  Specified by:
    `getUserById` in interface `org.kie.internal.task.api.InternalTaskService`

### getGroupById

    public Group getGroupById(String groupId)

  Specified by:
    `getGroupById` in interface `org.kie.internal.task.api.InternalTaskService`

### activate

    public void activate(long taskId,
                         String userId)

  Specified by:
    `activate` in interface `ThrowableInteranlTaskService`
  Specified by:
    `activate` in interface `TaskService`

### claim

    public void claim(long taskId,
                      String userId)

  Specified by:
    `claim` in interface `ThrowableInteranlTaskService`
  Specified by:
    `claim` in interface `TaskService`

### claim

    public void claim(long taskId,
                      String userId,
                      List<String> groupIds)

  Specified by:
    `claim` in interface `org.kie.internal.task.api.InternalTaskService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `ThrowableInteranlTaskService`
  Specified by:
    `claimNextAvailable` in interface `TaskService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   List<String> groupIds,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `org.kie.internal.task.api.InternalTaskService`

### complete

    public void complete(long taskId,
                         String userId,
                         Map<String,Object> data)

  Specified by:
    `complete` in interface `ThrowableInteranlTaskService`
  Specified by:
    `complete` in interface `TaskService`

### delegate

    public void delegate(long taskId,
                         String userId,
                         String targetUserId)

  Specified by:
    `delegate` in interface `ThrowableInteranlTaskService`
  Specified by:
    `delegate` in interface `TaskService`

### deleteFault

    public void deleteFault(long taskId,
                            String userId)

  Specified by:
    `deleteFault` in interface `org.kie.internal.task.api.InternalTaskService`

### deleteOutput

    public void deleteOutput(long taskId,
                             String userId)

  Specified by:
    `deleteOutput` in interface `org.kie.internal.task.api.InternalTaskService`

### exit

    public void exit(long taskId,
                     String userId)
              throws PermissionDeniedException

  Specified by:
    `exit` in interface `ThrowableInteranlTaskService`
  Specified by:
    `exit` in interface `TaskService`
  Throws:
    `PermissionDeniedException`

### fail

    public void fail(long taskId,
                     String userId,
                     Map<String,Object> faultData)

  Specified by:
    `fail` in interface `ThrowableInteranlTaskService`
  Specified by:
    `fail` in interface `TaskService`

### forward

    public void forward(long taskId,
                        String userId,
                        String targetEntityId)

  Specified by:
    `forward` in interface `ThrowableInteranlTaskService`
  Specified by:
    `forward` in interface `TaskService`

### release

    public void release(long taskId,
                        String userId)

  Specified by:
    `release` in interface `ThrowableInteranlTaskService`
  Specified by:
    `release` in interface `TaskService`

### remove

    public void remove(long taskId,
                       String userId)

  Specified by:
    `remove` in interface `org.kie.internal.task.api.InternalTaskService`

### resume

    public void resume(long taskId,
                       String userId)

  Specified by:
    `resume` in interface `ThrowableInteranlTaskService`
  Specified by:
    `resume` in interface `TaskService`

### setFault

    public void setFault(long taskId,
                         String userId,
                         org.kie.internal.task.api.model.FaultData fault)

  Specified by:
    `setFault` in interface `org.kie.internal.task.api.InternalTaskService`

### setOutput

    public void setOutput(long taskId,
                          String userId,
                          Object outputContentData)

  Specified by:
    `setOutput` in interface `org.kie.internal.task.api.InternalTaskService`

### setPriority

    public void setPriority(long taskId,
                            int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.InternalTaskService`

### skip

    public void skip(long taskId,
                     String userId)

  Specified by:
    `skip` in interface `ThrowableInteranlTaskService`
  Specified by:
    `skip` in interface `TaskService`

### start

    public void start(long taskId,
                      String userId)

  Specified by:
    `start` in interface `ThrowableInteranlTaskService`
  Specified by:
    `start` in interface `TaskService`

### stop

    public void stop(long taskId,
                     String userId)

  Specified by:
    `stop` in interface `ThrowableInteranlTaskService`
  Specified by:
    `stop` in interface `TaskService`

### suspend

    public void suspend(long taskId,
                        String userId)

  Specified by:
    `suspend` in interface `ThrowableInteranlTaskService`
  Specified by:
    `suspend` in interface `TaskService`

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `TaskService`

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language,
                                                              int firstResult,
                                                              int maxResults)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                         String language)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                               String language)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### getPotentialOwnersForTaskIds

    public Map<Long,List<OrganizationalEntity>> getPotentialOwnersForTaskIds(List<Long> taskIds)

  Specified by:
    `getPotentialOwnersForTaskIds` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksOwnedByStatus

    public List<TaskSummary> getTasksOwnedByStatus(String userId,
                                                   List<Status> status,
                                                   String language)

  Specified by:
    `getTasksOwnedByStatus` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                             List<String> groupIds,
                                                                             List<Status> status,
                                                                             String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `org.kie.internal.task.api.InternalTaskService`

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                 String userId,
                                                                 String language)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.InternalTaskService`

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long parentId)

  Specified by:
    `getSubTasksByParent` in interface `org.kie.internal.task.api.InternalTaskService`

### getTaskById

    public Task getTaskById(long taskId)

  Specified by:
    `getTaskById` in interface `TaskService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

  Specified by:
    `getTaskByWorkItemId` in interface `TaskService`

### getTaskEventsById

    public List<org.kie.internal.task.api.model.TaskEvent> getTaskEventsById(long taskId)

  Specified by:
    `getTaskEventsById` in interface `org.kie.internal.task.api.InternalTaskService`

### addTask

    public long addTask(Task task,
                        Map<String,Object> params)

  Specified by:
    `addTask` in interface `ThrowableInteranlTaskService`
  Specified by:
    `addTask` in interface `TaskService`

### addTask

    public long addTask(Task task,
                        org.kie.internal.task.api.model.ContentData data)

  Specified by:
    `addTask` in interface `org.kie.internal.task.api.InternalTaskService`

### setTaskDefService

    public void setTaskDefService(org.kie.internal.task.api.TaskDefService taskDefService)

### setTaskInstanceService

    public void setTaskInstanceService(org.kie.internal.task.api.TaskInstanceService taskInstanceService)

### setTaskIdentityService

    public void setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)

### setTaskAdminService

    public void setTaskAdminService(org.kie.internal.task.api.TaskAdminService taskAdminService)

### setTaskQueryService

    public void setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)

### setTaskEventsService

    public void setTaskEventsService(org.kie.internal.task.api.TaskEventsService taskEventsService)

### getUserInfo

    public org.kie.internal.task.api.UserInfo getUserInfo()

  Specified by:
    `getUserInfo` in interface `org.kie.internal.task.api.InternalTaskService`

### setUserInfo

    public void setUserInfo(org.kie.internal.task.api.UserInfo userInfo)

  Specified by:
    `setUserInfo` in interface `org.kie.internal.task.api.InternalTaskService`

### addUsersAndGroups

    public void addUsersAndGroups(Map<String,User> users,
                                  Map<String,Group> groups)

  Specified by:
    `addUsersAndGroups` in interface `org.kie.internal.task.api.InternalTaskService`

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<OrganizationalEntity> potentialOwners)

  Specified by:
    `nominate` in interface `ThrowableInteranlTaskService`
  Specified by:
    `nominate` in interface `TaskService`

### removeAllTasks

    public int removeAllTasks()

  Specified by:
    `removeAllTasks` in interface `org.kie.internal.task.api.InternalTaskService`

### addContent

    public long addContent(long taskId,
                           Content content)

  Specified by:
    `addContent` in interface `org.kie.internal.task.api.InternalTaskService`

### addContent

    public long addContent(long taskId,
                           Map<String,Object> params)

  Specified by:
    `addContent` in interface `org.kie.internal.task.api.InternalTaskService`

### deleteContent

    public void deleteContent(long taskId,
                              long contentId)

  Specified by:
    `deleteContent` in interface `org.kie.internal.task.api.InternalTaskService`

### getAllContentByTaskId

    public List<Content> getAllContentByTaskId(long taskId)

  Specified by:
    `getAllContentByTaskId` in interface `org.kie.internal.task.api.InternalTaskService`

### getContentById

    public Content getContentById(long contentId)

  Specified by:
    `getContentById` in interface `TaskService`

### addAttachment

    public long addAttachment(long taskId,
                              Attachment attachment,
                              Content content)

  Specified by:
    `addAttachment` in interface `org.kie.internal.task.api.InternalTaskService`

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId)

  Specified by:
    `deleteAttachment` in interface `org.kie.internal.task.api.InternalTaskService`

### getAllAttachmentsByTaskId

    public List<Attachment> getAllAttachmentsByTaskId(long taskId)

  Specified by:
    `getAllAttachmentsByTaskId` in interface `org.kie.internal.task.api.InternalTaskService`

### getAttachmentById

    public Attachment getAttachmentById(long attachId)

  Specified by:
    `getAttachmentById` in interface `TaskService`

### getPendingSubTasksByParent

    public int getPendingSubTasksByParent(long parentId)

  Specified by:
    `getPendingSubTasksByParent` in interface `org.kie.internal.task.api.InternalTaskService`

### removeTaskEventsById

    public void removeTaskEventsById(long taskId)

  Specified by:
    `removeTaskEventsById` in interface `org.kie.internal.task.api.InternalTaskService`

### getOrganizationalEntityById

    public OrganizationalEntity getOrganizationalEntityById(String entityId)

  Specified by:
    `getOrganizationalEntityById` in interface `org.kie.internal.task.api.InternalTaskService`

### setExpirationDate

    public void setExpirationDate(long taskId,
                                  Date date)

  Specified by:
    `setExpirationDate` in interface `org.kie.internal.task.api.InternalTaskService`

### setDescriptions

    public void setDescriptions(long taskId,
                                List<I18NText> descriptions)

  Specified by:
    `setDescriptions` in interface `org.kie.internal.task.api.InternalTaskService`

### setSkipable

    public void setSkipable(long taskId,
                            boolean skipable)

  Specified by:
    `setSkipable` in interface `org.kie.internal.task.api.InternalTaskService`

### setSubTaskStrategy

    public void setSubTaskStrategy(long taskId,
                                   org.kie.internal.task.api.model.SubTasksStrategy strategy)

  Specified by:
    `setSubTaskStrategy` in interface `org.kie.internal.task.api.InternalTaskService`

### getPriority

    public int getPriority(long taskId)

  Specified by:
    `getPriority` in interface `org.kie.internal.task.api.InternalTaskService`

### getExpirationDate

    public Date getExpirationDate(long taskId)

  Specified by:
    `getExpirationDate` in interface `org.kie.internal.task.api.InternalTaskService`

### getDescriptions

    public List<I18NText> getDescriptions(long taskId)

  Specified by:
    `getDescriptions` in interface `org.kie.internal.task.api.InternalTaskService`

### isSkipable

    public boolean isSkipable(long taskId)

  Specified by:
    `isSkipable` in interface `org.kie.internal.task.api.InternalTaskService`

### getSubTaskStrategy

    public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy(long taskId)

  Specified by:
    `getSubTaskStrategy` in interface `org.kie.internal.task.api.InternalTaskService`

### getTaskInstanceById

    public Task getTaskInstanceById(long taskId)

  Specified by:
    `getTaskInstanceById` in interface `org.kie.internal.task.api.InternalTaskService`

### getCompletedTaskByUserId

    public int getCompletedTaskByUserId(String userId)

  Specified by:
    `getCompletedTaskByUserId` in interface `org.kie.internal.task.api.InternalTaskService`

### getPendingTaskByUserId

    public int getPendingTaskByUserId(String userId)

  Specified by:
    `getPendingTaskByUserId` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedByGroup

    public List<TaskSummary> getTasksAssignedByGroup(String groupId,
                                                     String language)

  Specified by:
    `getTasksAssignedByGroup` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedByGroups

    public List<TaskSummary> getTasksAssignedByGroups(List<String> groupIds,
                                                      String language)

  Specified by:
    `getTasksAssignedByGroups` in interface `org.kie.internal.task.api.InternalTaskService`

### addComment

    public long addComment(long taskId,
                           Comment comment)

  Specified by:
    `addComment` in interface `org.kie.internal.task.api.InternalTaskService`

### deleteComment

    public void deleteComment(long taskId,
                              long commentId)

  Specified by:
    `deleteComment` in interface `org.kie.internal.task.api.InternalTaskService`

### getAllCommentsByTaskId

    public List<Comment> getAllCommentsByTaskId(long taskId)

  Specified by:
    `getAllCommentsByTaskId` in interface `org.kie.internal.task.api.InternalTaskService`

### getCommentById

    public Comment getCommentById(long commentId)

  Specified by:
    `getCommentById` in interface `org.kie.internal.task.api.InternalTaskService`

### setTaskNames

    public void setTaskNames(long taskId,
                             List<I18NText> taskName)

  Specified by:
    `setTaskNames` in interface `org.kie.internal.task.api.InternalTaskService`

### getTaskContent

    public Map<String,Object> getTaskContent(long taskId)

  Specified by:
    `getTaskContent` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsPotentialOwnerByExpirationDate

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDate(String userId,
                                                                              List<Status> statuses,
                                                                              Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDate` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksAssignedAsPotentialOwnerByExpirationDateOptional

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId,
                                                                                      List<Status> statuses,
                                                                                      Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDateOptional` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksOwnedByExpirationDate

    public List<TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                           List<Status> status,
                                                           Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDate` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksOwnedByExpirationDateOptional

    public List<TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                                   List<Status> statuses,
                                                                   Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDateOptional` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksOwnedByExpirationDateBeforeSpecifiedDate

    public List<TaskSummary> getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId,
                                                                              List<Status> status,
                                                                              Date date)

  Specified by:
    `getTasksOwnedByExpirationDateBeforeSpecifiedDate` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksByStatusByProcessInstanceId

    public List<TaskSummary> getTasksByStatusByProcessInstanceId(long processInstanceId,
                                                                 List<Status> status,
                                                                 String language)

  Specified by:
    `getTasksByStatusByProcessInstanceId` in interface `TaskService`

### getTasksByStatusByProcessInstanceIdByTaskName

    public List<TaskSummary> getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId,
                                                                           List<Status> status,
                                                                           String taskName,
                                                                           String language)

  Specified by:
    `getTasksByStatusByProcessInstanceIdByTaskName` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksByProcessInstanceId

    public List<Long> getTasksByProcessInstanceId(long processInstanceId)

  Specified by:
    `getTasksByProcessInstanceId` in interface `TaskService`

### getTaskLifecycleEventListeners

    public javax.enterprise.event.Event<Task> getTaskLifecycleEventListeners()

  Specified by:
    `getTaskLifecycleEventListeners` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### getTaskNotificationEventListeners

    public javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent> getTaskNotificationEventListeners()

  Specified by:
    `getTaskNotificationEventListeners` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### clearTaskLifecycleEventListeners

    public void clearTaskLifecycleEventListeners()

  Specified by:
    `clearTaskLifecycleEventListeners` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### clearTasknotificationEventListeners

    public void clearTasknotificationEventListeners()

  Specified by:
    `clearTasknotificationEventListeners` in interface `org.kie.internal.task.api.EventService<JbpmServicesEventListener<org.kie.internal.task.api.model.NotificationEvent>,JbpmServicesEventListener<Task>>`

### execute

    public <T> T execute(Command<T> command)

  Description copied from interface: `CommandExecutor`
  Execute the command and return a ExecutionResults for the results of the Command.

  Specified by:
    `execute` in interface `CommandExecutor`
  Returns:

### getTaskRuleService

    public TaskRuleService getTaskRuleService()

### setTaskRuleService

    public void setTaskRuleService(TaskRuleService taskRuleService)

### addMarshallerContext

    public void addMarshallerContext(String ownerId,
                                     org.kie.internal.task.api.ContentMarshallerContext context)

  Specified by:
    `addMarshallerContext` in interface `org.kie.internal.task.api.InternalTaskService`

### removeMarshallerContext

    public void removeMarshallerContext(String ownerId)

  Specified by:
    `removeMarshallerContext` in interface `org.kie.internal.task.api.InternalTaskService`

### getMarshallerContext

    public org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(Task task)

  Specified by:
    `getMarshallerContext` in interface `org.kie.internal.task.api.InternalTaskService`

### getTasksByVariousFields

    public List<TaskSummary> getTasksByVariousFields(List<Long> workItemIds,
                                                     List<Long> taskIds,
                                                     List<Long> procInstIds,
                                                     List<String> busAdmins,
                                                     List<String> potOwners,
                                                     List<String> taskOwners,
                                                     List<Status> status,
                                                     List<String> language,
                                                     boolean union)

  Specified by:
    `getTasksByVariousFields` in interface `TaskService`

### getTasksByVariousFields

    public List<TaskSummary> getTasksByVariousFields(Map<String,List<?>> parameters,
                                                     boolean union)

  Specified by:
    `getTasksByVariousFields` in interface `TaskService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.